{
	"format_version": "1.8.0",
	"animations": {
		"animation.minecart.crl.move": {
			"loop": true,
			"bones": {
				"root2": {
					"rotation": [
						"variable.hurt > 0 ? -Math.sin(variable.hurt * 360 / (Math.pi * 2)) * variable.hurt * (((20 * 2 - query.structural_integrity) - query.frame_alpha) < 0 ? 0: (20 * 2 - query.structural_integrity) - query.frame_alpha) / 10 * query.hurt_direction : 0",
						0,
						"-variable.rail_rotation.z"
					],
					"position": [
						"variable.rail_offset.x / query.model_scale",
						"variable.rail_offset.y / query.model_scale - 18.5",
						"variable.rail_offset.z / query.model_scale"
					]
				}
			}
		},
		"animation.minecart.crl.tire_move": {
			"loop": true,
			"bones": {
				"tire0": {
					"rotation": [0, "v.tire_angle", 0]
				},
				"tire1": {
					"rotation": [0, "v.tire_angle", 0]
				},
				"tire2": {
					"rotation": [0, "v.tire_angle", 0]
				},
				"tire3": {
					"rotation": [0, "v.tire_angle", 0]
				}
			}
		},
		"animation.minecart.crl.cart_move": {
			"loop": true,
			"animation_length": 4.08,
			"anim_time_update": "v.modified_distance_moved * 0.5",
			"bones": {
				"cart": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.6": {
							"post": [2.5, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"1.76": {
							"post": [-2.5, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"2.8": {
							"post": [2.5, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"3.48": {
							"post": [-2.5, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"4.08": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					},
					"position": {
						"0.0": {
							"post": [0, 0.25, 0],
							"lerp_mode": "catmullrom"
						},
						"0.76": {
							"post": [0, 0.25, 0],
							"lerp_mode": "catmullrom"
						},
						"1.44": {
							"post": [0, 0.5, 0],
							"lerp_mode": "catmullrom"
						},
						"2.24": {
							"post": [0, 0.25, 0],
							"lerp_mode": "catmullrom"
						},
						"3.2": {
							"post": [0, 0.75, 0],
							"lerp_mode": "catmullrom"
						},
						"4.08": {
							"post": [0, 0.25, 0],
							"lerp_mode": "catmullrom"
						}
					}
				}
			}
		}
	}
}